Subject: bug#77173: [PATCH] Instruct users to use customize or setopt for user options that have :set-er

From: Visuwesh <[email-masked]>
Date: Sat, 22 Mar 2025 19:21:16 +0530

[Saturday March 22, 2025] Stefan Kangas wrote:

> Visuwesh <[email-masked]> writes:
>
>> Tags: patch
>>
>> Seeing the discussion in bug#77157, and another recent discussion about
>> the same, WDYT about the attached that automatically adds the "use
>> setopt" filler text?
>>
>> This is what doc-view-epub-font-size says with the patch applied:
>>
>>     doc-view-epub-font-size is a variable defined in ‘doc-view.el’.
>>
>>     Its value is nil
>>
>>     Font size in points for EPUB layout.
>>
>>       This variable was introduced, or its default value was changed, in
>>       version 29.1 of Emacs.
>>       You can customize this variable.
>>       Setting this variable directly will not usually take effect;
>>       use either customize or ‘setopt’, or call ‘doc-view-custom-set-epub-font-size’.
>
> Thanks.  Are you on a current master?

I haven't pulled for a few weeks now.  Should I rework the patch on top
of yours?  I think adding this bit to help-fns--customize-variable would
be cleaner, but happy to change the function you wrote instead.

> It currently says this:
>
>     doc-view-epub-font-size is a variable defined in ‘doc-view.el’.
>
>     Its value is nil
>
>     Font size in points for EPUB layout.
>
>       This variable was introduced, or its default value was changed, in
>       version 29.1 of Emacs.
>       You can customize this variable.
>     Setting this variable with ‘setq’ has no effect; use either ‘setopt’
>     or M-x customize-option to change its value.
>
> The formatting could use improving though.

Yea, I am out of ideas for the wording too.